VERSION 5.00
Begin VB.Form frmMMAdvancedSettings 
   BackColor       =   &H00FFFFFF&
   Caption         =   "Advanced Settings"
   ClientHeight    =   2724
   ClientLeft      =   48
   ClientTop       =   432
   ClientWidth     =   3852
   Icon            =   "frmMMAdvancedSettings.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2724
   ScaleWidth      =   3852
   StartUpPosition =   3  'Windows Default
   Begin VB.Frame Frame1 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Force slow sync"
      Height          =   1932
      Left            =   120
      TabIndex        =   2
      Top             =   240
      Width           =   3612
      Begin VB.CheckBox notesCheck 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Notes"
         Height          =   492
         Left            =   240
         TabIndex        =   6
         Top             =   1320
         Width           =   1332
      End
      Begin VB.CheckBox tasksCheck 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Tasks"
         Height          =   492
         Left            =   240
         TabIndex        =   5
         Top             =   960
         Width           =   1332
      End
      Begin VB.CheckBox contactsCheck 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Contacts"
         Height          =   492
         Left            =   240
         TabIndex        =   3
         Top             =   240
         Width           =   1332
      End
      Begin VB.CheckBox appointmentCheck 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Calendar"
         Height          =   492
         Left            =   240
         TabIndex        =   4
         Top             =   600
         Width           =   1332
      End
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Cancel"
      Height          =   372
      Left            =   2400
      TabIndex        =   1
      Top             =   2280
      Width           =   1332
   End
   Begin VB.CommandButton Command1 
      Caption         =   "OK"
      Height          =   372
      Left            =   960
      TabIndex        =   0
      Top             =   2280
      Width           =   1332
   End
End
Attribute VB_Name = "frmMMAdvancedSettings"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False


'
'Copyright (C) 2003-2005 Funambol
'
'This program is free software; you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation; either version 2 of the License, or
'(at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'
'****************************************************************
'*Form:    frmMMSettingSources.frm                              *
'*Author:  Marco Magistrali - Funambol                          *
'****************************************************************

Public syncContactMode As Integer
Public syncCalendarMode As Integer
Public syncTaskMode As Integer
Public syncNoteMode As Integer


Private Sub Command1_Click()
    setValues
    Unload Me
End Sub


Private Sub Command2_Click()
    discardValues
    Unload Me
End Sub

Private Sub Form_Load()
    If syncContactMode = 0 Then
        contactsCheck.value = 0
    Else
        contactsCheck.value = 1
    End If
    
    If syncCalendarMode = 0 Then
        appointmentCheck.value = 0
    Else
        appointmentCheck.value = 1
    End If
    
    If syncTaskMode = 0 Then
        tasksCheck.value = 0
    Else
        tasksCheck.value = 1
    End If
    
    If syncNoteMode = 0 Then
        notesCheck.value = 0
    Else
        notesCheck.value = 1
    End If
    
    'Center the form in the screen
    Me.Move (Screen.Width - Me.Width) / 2, (Screen.Height - Me.Height) / 2

End Sub



Public Sub discardValues()
    syncContactMode = 0
    syncCalendarMode = 0
    syncTaskMode = 0
    syncNoteMode = 0
End Sub

Private Sub setValues()
    If contactsCheck.value = 0 Then
        syncContactMode = 0
    Else
        syncContactMode = 1
    End If
    If appointmentCheck.value = 0 Then
        syncCalendarMode = 0
    Else
        syncCalendarMode = 1
    End If
    If tasksCheck.value = 0 Then
        syncTaskMode = 0
    Else
        syncTaskMode = 1
    End If
    If notesCheck.value = 0 Then
        syncNoteMode = 0
    Else
        syncNoteMode = 1
    End If
End Sub

